Skip to main content
Most pages on the web fall into one of two categories:
  • Detail pages that describe a single item
  • List pages that show multiple items
FetchFox can extract from both pages. For detail pages, you want to extract one item for each URL, and for list pages, you want to extract multiple items per page. The default extraction mode is to extract one item per URL. In this mode, if you pass in 10 URLs, you will get exactly 10 items in your results. This works well for detail pages. To extract multiple items per page, set perPage to many. Example:
curl -X POST "https://api.fetchfox.ai/api/extract" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FETCHFOX_API_KEY" \
-d '{
   "urls": [
     "https://pokemondb.net/pokedex/bulbasaur",
     "https://pokemondb.net/pokedex/ivysaur",
     "https://pokemondb.net/pokedex/venusaur"
   ],
   "template": {
     "moveName": "Name of the pokemon move",
     "moveType": "Name of the move type",
     "movePower": "The power of the move"
   },
   "perPage": "many"
}'
Response:
{
  "jobId": "fjszygdh38",
  "results": {
    "items": [
      {
        "moveName": "Growl",
        "moveType": "Normal",
        "movePower": "100",
        "_url": "https://pokemondb.net/pokedex/ivysaur",
        "_htmlUrl": "https://ffcloud.s3.amazonaws.com/visit/html/xz6rjf8h2v.html"
      },
      {
        "moveName": "Growth",
        "moveType": "Normal",
        "movePower": "—",
        "_url": "https://pokemondb.net/pokedex/ivysaur",
        "_htmlUrl": "https://ffcloud.s3.amazonaws.com/visit/html/xz6rjf8h2v.html"
      },
      "...more items..."
    ]
  },
  "metrics": { "...cost and usage metrics..." }
}
Each URL can produce many items. FetchFox charges fees on the basis of each operation (visit, crawl, extract), while AI and network costs depend on model usage and page traffic. See pricing.